\name{gdk.flush}
\alias{gdk.flush}
\title{Cause pending Gtk GUI events to be processed}
\description{
 Because of the interaction with the R event loop (reading use input),
on occassion, the changes caused by certain R functions that operate
on the the ggobi GUI are not displayed immediately. This function
allows the R programmer to try to force these changes to be displayed.
}
\usage{
gdk.flush()
}
\details{
  This flushes the Gtk events pending and forces them to be
 sent to the event queue and hopefully invoke the 
 low Gtk handler in R's event loop.
}
\value{
 No value.
}
\references{\url{http://www.ggobi.org/RSggobi.html}}
\author{Duncan Temple Lang}


\examples{
  g <- ggobi(system.file("data", "flea.xml",package="Rggobi"), args="-noinit")
  g$scatmat(1:3)
  gdk.flush()
}
% \keyword{event loop}
\keyword{iplot}
\keyword{dynamic}
