\name{getColorSchemes}
\alias{getColorSchemes}
\title{Retrieve R descriptions of GGobi color schemes}
\description{
  This retrieves R objects representing a collection
  of GGobi color schemes directly from GGobi itself.
  It can access either a particular GGobi instance's
  color scheme list or the session-wide schemes.
  Color schemes can also be read from their XML
  representation, but this allows one to query
  the actual ones that are available to a GGobi
  session or instance.
}
\usage{
getColorSchemes(.gobi=NULL)
}
\arguments{
  \item{.gobi}{the GGobi instance from which to
    query the color schemes. If this is \code{NULL} (the default)
   the color schemes from the session options in GGobi are retrieved.}
}
\value{
  A list with an element for each
  color scheme in the GGobi list.
  Each element is an object of class
  \code{ColorScheme}.
}
\references{\url{http://www.ggobi.org}
 \url{http://www.ggobi.org/RSggobi}
}
\author{Duncan Temple Lang}
\seealso{
 \code{\link{addColorScheme}}  
 \code{\link{setActiveColorScheme}}
}

\examples{
}
\concept{visualization}
\concept{interactive graphics}

\keyword{color}
