\name{getDisplayTypes.ggobi}
\alias{getDisplayTypes.ggobi}
\title{List of the available GGobi display types}
\description{
  This queries the GGobi engine for the names of the
  available top-level display types.
  This potentially can change across different GGobi sessions,
  etc.  because of the plugin mechanism for GGobi.
  A plugin can register a new display type and we can use
  this function to determine which are available at any moment.
}
\usage{
getDisplayTypes.ggobi()
}

\value{
  A named list giving the names of the Gtk classes
  corresponding to the available display types.
  The names are the "human readable" names of the display types.
}

\references{\url{http://www.ggobi.org}}
\author{Duncan Temple Lang}

\seealso{
  \code{\link{createDisplay.ggobi}}
  \code{\link{ggobi}}
}
\examples{
  getDisplayTypes.ggobi()
}
\keyword{programming}
