\name{getGlyphs.ggobi}
\alias{getGlyphs.ggobi}
\alias{setGlyphs.ggobi}
\title{Get or set the glyphs for records in a ggobi dataset}
\description{
 This allows one to set or retrieve the specifications
for the glyph rendering of points in plots
for records within a ggobi dataset.
The glyph specification is made up of  a particular
plotting character and size.
}
\usage{
getGlyphs.ggobi(which, .data =1, .gobi=getDefaultGGobi())
setGlyphs.ggobi(types, sizes, which, .data = 1, .gobi=getDefaultGGobi())
}
\arguments{
  \item{which}{a vector identifying to which records or cases the operation
    applies}
  \item{types}{a vector giving the name or identifier for the glyphs.}
  \item{sizes}{an integer vector wit the same length as types giving 
    the size of the glyph for each record identified
    in which.}
  \item{.data}{the dataset identifier, typically a number or
    the name of the dataset.}
  \item{.gobi}{ the ggobi instance in which the dataset is to be found.}
}
\value{

}
\references{\url{http://www.ggobi.org}}
\author{Duncan Temple Lang}

\seealso{ 
 \code{\link{getGlyphTypes.ggobi}}
 \code{\link{getGlyphSizes.ggobi}}
 \code{\link{mapGlyphType}}
}

\examples{

}
\concept{visualization}
\concept{interactive graphics}

\keyword{iplot}
\keyword{dynamic}
