\name{getModeNames.ggobi}
\alias{getModeNames.ggobi}
\title{Returns the names of the different modes understood by ggobi.}
\description{
 Each ggobi instance is in one mode at any given time. For example,
brushing, identifying points, editing lines, etc. are possible modes.
This function returns the names of the different modes
in which a ggobi instance can be. One uses these names
to set and determine the current mode.
Since these rarely change, this function is primarily
used by those learning about the ggobi system 
interactively.
}
\usage{
getModeNames.ggobi()
}
\value{
 A character vector giving the names of the
different modes.
}
\references{\url{http://www.ggobi.org/RSggobi.html}}
\author{Duncan Temple Lang}

\seealso{
\code{\link{setMode.ggobi}}
\code{\link{getMode.ggobi}}
}

\examples{
  getModeNames.ggobi()
}
\concept{visualization}
\concept{interactive graphics}

\keyword{programming}
\keyword{iplot}
\keyword{dynamic}
