\name{getSimpleTreeSlots}
\alias{getSimpleTreeSlots}
\alias{getSimpleTreeSlots.CategoricalVariableInfo}
\alias{getSimpleTreeSlots.RealVariableInfo}
\alias{getSimpleTreeSlots.VariableInfo}
\title{Names of slots to display in VariableInfo object}
\description{
  This returns the names of the slots/elements to display
  in a tree for this particular type of object.
  This excludes certain slots that are either
  not to be shown or to be rendered in a more complex
  manner in \code{\link{xmlDataTreeViewer.VariableInfo}}.
}
\usage{
getSimpleTreeSlots(obj)
getSimpleTreeSlots.CategoricalVariableInfo(obj)
getSimpleTreeSlots.RealVariableInfo(obj)
getSimpleTreeSlots.VariableInfo(obj)
}
\arguments{
  \item{obj}{the \code{VariableInfo} object}
}
\value{
  A character vector giving the names of the
  elements in \code{obj} to display as simple
  tree items.
}

\seealso{ }

\examples{

}
\concept{visualization}
\concept{interactive graphics}
\keyword{dynamic}
\concept{GUI}

