\name{print.ggobi}
\alias{print.ggobi}
\alias{print.ggobiDataset}
\title{Convenient display of ggobi reference objects}
\description{
 These functions display the opaque references to 
 internal ggobi instances in convenient form
 that hides the internal contents of the object.
}
\usage{
print.ggobi(x, ...)
print.ggobiDataset(x, ...)
}
\arguments{
  \item{x}{the object to be printed on the console}
  \item{\dots}{other arguments influencing how the object should be presented.
    These are ignored.}
}
\value{
 A character vector containing the displayed/printed value.
}
\references{\url{http://www.ggobi.org}}
\author{Duncan Temple Lang}

\examples{
   g <- ggobi(system.file("data", "flea.xml", package="Rggobi"), args="-noinit")
   print(g)
   print(g[[1]])
}
\concept{visualization}
\concept{interactive graphics}

\keyword{manip}
\keyword{classes}

