\name{readXMLColorSchemes}
\alias{readXMLColorSchemes}
\title{Read color schemes from XML format.}
\description{
  This reads an XML document (either a file, string or via
  HTTP or FTP)
  and process the contents as color schemes.
  It creates a list of these colorschemes indexed by their
  names. Each element is a \code{ColorScheme} object
  with a more specific sub-class.
}
\usage{
readXMLColorSchemes(uri, handlers=xmlColorSchemeHandlers())
}
\arguments{
  \item{uri}{the name/identifier for the XML document.}
  \item{handlers}{the set of XML node handlers that process the
    document and create the R data structures representing the color schemes.}
}
\value{
  A list with as many elements as there are color schemes.
  Each element extends the class \code{ColorScheme}.
}
\references{\url{http://www.ggobi.org}
  \url{http://www.ggobi.org/RSggobi}
}
\author{Duncan Temple Lang}
\seealso{
 \code{\link{xmlColorSchemeHandlers}}
}

\examples{
f = ggobi.find.file(c("data", "colorschemes.xml"))
if(file.exists(f))
  readXMLColorSchemes(f)
}
\keyword{iplot}
\keyword{dynamic}
