\name{setPlotRange.ggobi}
\alias{setPlotRange.ggobi}
\alias{getPlotRange.ggobi}
\title{Set the axes ranges of a ggobi plot.}
\description{
 These functions are intended to 
allow the R programmer and user to 
query and set the range of the plot in the
units of the variables (rather than pixels).
This currently is not implemented.
}
\usage{
setPlotRange.ggobi(x, y, plot=1, display = 1, .gobi=getDefaultGGobi())
getPlotRange.ggobi(plot = integer(1), display = 1, .gobi=getDefaultGGobi())
}
\arguments{
  \item{x}{a numeric vector of length 2 specifying
       the minimum and maximum values for the X axis.}
  \item{y}{a numeric vector of length 2 specifying
       the minimum and maximum values for the Y axis.}
  \item{plot}{an integer identifying which of the plots
     is to be queried or modified.}
  \item{display}{an identifier for which of the display windows
   the plot is contained. }
  \item{.gobi}{an identifier for the ggobi instance which owns the
    display and plot.}
}
\value{
 A list of length 2, with each element
being a numeric vector of length 2 giving the
minimum and maximum values for the corresponding
axis. The first element is the X axis, and the second
is the Y axis.
}

\references{\url{http://www.ggobi.org}}
\author{Duncan Temple Lang}


\seealso{
 \code{\link{scatmat.ggobi}}
 \code{\link{scatterplot.ggobi}}
 \code{\link{parcoords.ggobi}}
}

\examples{

}
\concept{visualization}
\concept{interactive graphics}

\keyword{dynamic}
\keyword{iplot}
