\name{setPlotVariables.ggobi}
\alias{setPlotVariables.ggobi}
\title{Specify the variables in a ggobi plot}
\description{
 This allows the caller to change the contents
 of a plot by specifying a different set of variables
 to render in the plot.
}
\usage{
setPlotVariables.ggobi(..., display=1, .gobi=getDefaultGGobi(), plots=NULL)
}
\arguments{
  \item{\dots}{identifiers for the variables 
         that are to be used in the specified plot. These can be names or integers.}
  \item{display}{the display or plot window in the ggobi instance in 
   which the plot to affected  can be found.}
  \item{.gobi}{an identifier for the ggobi instance in which the display
    is to be found.}
  \item{plots}{an optional argument identifying the sub-plot within the 
   display whose variables are to be changed.
   This is optional as in certain cases, there is no need to specify the plot. }
}
\value{
 the names and indices of the variables that were in this
plot before we reset them.
}
\references{\url{http://www.ggobi.org}}
\author{Duncan Temple Lang}
\seealso{
 \code{\link{getDisplays.ggobi}}
}

\examples{
}
\concept{visualization}
\concept{interactive graphics}

\keyword{iplot}
