\name{xmlColorSchemeHandlers}
\alias{xmlColorSchemeHandlers}
\title{Functions for processing XML color scheme input}
\description{
  This returns a collection of functions that share and update
  a common set of variables and which process the nodes in an XML
  input source to extract information about color schemes
  and create R objects to represent the schemes.
}
\usage{
xmlColorSchemeHandlers()
}
\details{
 These handlers are passed to \code{\link[XML]{xmlTreeParse}}.
}
\value{
  A list of functions.
  \item{colormap}{a function for processing the \code{colormap} node
    by iterating over its sub-nodes and adding
    an entry to the \code{schemes} variable.}
  \item{getData}{function to access the \code{schemes} list
   after the processing is complete.}
}

\references{\url{http://www.ggobi.org}
  \url{http://www.ggobi.org/RSggobi}
}
\author{Duncan Temple Lang}
\seealso{
\code{\link{readXMLColorSchemes}}
}

\examples{

}
\keyword{iplot}
\keyword{dynamic}
