#ifndef RGTK_H
#define RGTK_H

#include "RSCommon.h"
#include <gtk/gtk.h>

#ifdef G_OS_WIN32
  /* My version of mingw-1.1 and cygwin don't provide a definition for ulong. */
 typedef unsigned long ulong;
#endif

typedef enum {RGTK_CALLBACK, RGTK_TIMER, RGTK_IDLE} RGtkCallbackDataType;
typedef struct {
    USER_OBJECT_ function;
    USER_OBJECT_ data;
    Rboolean     useData;
    Rboolean     userDataFirst; /* connect_object... */

    RGtkCallbackDataType type;
    guint id;
} R_gtk_CallbackData;

USER_OBJECT_ R_gtkWidgetReference(GtkWidget *w, const char *klassName);
void R_gtk_functionCallback(R_gtk_CallbackData *cbdata, GtkWidget *w);
void R_gtk_eventHandler(void *userData);

USER_OBJECT_ R_internal_getTypeHierarchy(GtkType type);

#include "gtkUtils.h"

/* For some systems, e.g. Irix, gdkAccessors has a time_t that is not defined
   unless we include this. Seems harmless on other systems! */
#include <time.h>

#endif

